# PrimitiveEnumerationList Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveEnumerationList:
[legend]

List of all members.

## Public Member Functions

| clean ()
| setValue ($value)
| importValue ($value)
| import ($scope)
| exportValue ()

## Protected Attributes

| $value = array()

## Detailed Description

Definition at line 15 of file PrimitiveEnumerationList.class.php.

## Member Function Documentation

PrimitiveEnumerationList::clean | ( |  | ) |

Returns:
  PrimitiveEnumerationList

Reimplemented from BasePrimitive.

Definition at line 22 of file PrimitiveEnumerationList.class.php.

PrimitiveEnumerationList::exportValue | ( |  | ) |

Reimplemented from IdentifiablePrimitive.

Definition at line 105 of file PrimitiveEnumerationList.class.php.

References ArrayUtils::getIdsArray().

Here is the call graph for this function:

PrimitiveEnumerationList::import | ( | $ | scope | ) |

Reimplemented from PrimitiveEnumeration.

Definition at line 66 of file PrimitiveEnumerationList.class.php.

References IdentifiablePrimitive::$className, $value, Assert::checkInteger(), and BasePrimitive::import().

Here is the call graph for this function:

PrimitiveEnumerationList::importValue | ( | $ | value | ) |

Reimplemented from PrimitiveEnumeration.

Definition at line 47 of file PrimitiveEnumerationList.class.php.

References $value, ArrayUtils::getIdsArray(), and Assert::isInteger().

Here is the call graph for this function:

PrimitiveEnumerationList::setValue | ( | $ | value | ) |

Returns:
  PrimitiveEnumerationList

Reimplemented from IdentifiablePrimitive.

Definition at line 35 of file PrimitiveEnumerationList.class.php.

References $value, Assert::isArray(), and Assert::isInstance().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveEnumerationList::$value = array()`[protected]`

Reimplemented from BasePrimitive.

Definition at line 17 of file PrimitiveEnumerationList.class.php.

Referenced by import(), importValue(), and setValue().

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveEnumerationList.class.php